#include "xloadedsound.h"

XLoadedSound::XLoadedSound()
    : XAsset()
    , mName()
    , mSound()
{

}

XLoadedSound::~XLoadedSound()
{

}

void XLoadedSound::ParseData(QDataStream *aStream)
{
    if (GetPtr() == -1)
    {
        mName.ParsePtr(aStream, false);
        mSound.ParseData(aStream);
    }
}

void XLoadedSound::Clear()
{
    mName.Clear();
    mSound.Clear();
}
